Re: [PATCH blktests] loop/009: require --option of udevadm control command

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



On 29/11/23 5:06 pm, Shin'ichiro Kawasaki wrote:

The test case loop/009 calls udevadm control command with --ping option.
When systemd version is prior to 241, udevadm control command does not
support the option, and the test case fails. Check availability of the
option to avoid the failure.

Link: https://github.com/osandov/blktests/issues/129
Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki@xxxxxxx>

Thanks for the fix patch. I have tested on Power10 machine, loop/009 test skips with patch applied.

# ./check loop/009
loop/009 (check that LOOP_CONFIGURE sends uevents for partitions) [not run]
runtime  0.481s  ...
udevadm control does not support --ping option


Feel free to add:
Reported-by and Tested-by: Disha Goel <disgoel@xxxxxxxxxxxxx>

---
  tests/loop/009 | 6 ++++++
  1 file changed, 6 insertions(+)

diff --git a/tests/loop/009 b/tests/loop/009
index 2b7a042..5c14758 100755
--- a/tests/loop/009
+++ b/tests/loop/009
@@ -10,6 +10,12 @@ DESCRIPTION="check that LOOP_CONFIGURE sends uevents for partitions"
QUICK=1 +requires() {
+	if ! udevadm control --ping > /dev/null 2>&1; then
+		SKIP_REASONS+=("udevadm control does not support --ping option")
+	fi
+}
+
  test() {
  	echo "Running ${TEST_NAME}"




[Index of Archives]     [Linux RAID]     [Linux SCSI]     [Linux ATA RAID]     [IDE]     [Linux Wireless]     [Linux Kernel]     [ATH6KL]     [Linux Bluetooth]     [Linux Netdev]     [Kernel Newbies]     [Security]     [Git]     [Netfilter]     [Bugtraq]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Device Mapper]

  Powered by Linux